Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 85310 - latest vte (0.10.25) 'hangs' Intel i810 X server when run
Summary: latest vte (0.10.25) 'hangs' Intel i810 X server when run
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: XFree86
Version: 8.0
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
Assignee: X/OpenGL Maintenance List
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-02-27 20:40 UTC by Luis Villa
Modified: 2007-04-18 16:51 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-09-24 21:39:52 UTC


Attachments (Terms of Use)
XF86Config on one affected machine (deleted)
2003-02-28 18:55 UTC, Need Real Name
no flags Details
X log on one affected machine. (deleted)
2003-02-28 18:56 UTC, Need Real Name
no flags Details

Description Luis Villa 2003-02-27 20:40:07 UTC
Description of problem:
When launching latest gnome-terminal on Red Hat 8.0 with the Intel i810 drivers,
the X server virtually locks up, consuming 99+% of CPU.

Version-Release number of selected component (if applicable):
Xfree 4.2.0
Xft 2.1-0
vte 0.10.25 (stock vte from RH8 works fine, but none of the test 0.10.x series
works)
gnome-terminal 2.2.1

How reproducible:
Utterly, on two separate machines. There is also one report that this occurs
with nvidia drivers as well. [The owner of that box had a 117 day uptime, he was
bitter. ;) 

Steps to Reproduce:
1. install latest vte (from Ximian packages, but not patched) on machine with
i810 card
2. launch gnome-terminal 
    
Actual results:
Machine appears to hang. With patience, you can log in via ssh, note that top
reports X as consuming 99+% CPU, and kill X.

Expected results:
An aa'd and i18n aware terminal comes up, and X does, um, not suck. :) 

Additional info:
None that I'm aware of, but I'm just reporting the bug on behalf of the people
who reported it to me internally.

Comment 1 Mike Chambers 2003-02-28 02:21:12 UTC
I would point the folks having the problem to go to the URL to the bug report
and attach their X Config files and log files so they can be looked at and get a
start on it.

Comment 2 Need Real Name 2003-02-28 18:55:51 UTC
Created attachment 90429 [details]
XF86Config on one affected machine

XF86Config as requested.

Comment 3 Need Real Name 2003-02-28 18:56:49 UTC
Created attachment 90430 [details]
X log on one affected machine.

X log file as requested.

Comment 4 Mike A. Harris 2003-03-03 07:33:47 UTC
XFree86-Servers doesn't exist.  Reassigning to XFree86.

Comment 5 Luis Villa 2003-03-10 23:31:00 UTC
Reopening, as the log was provided. Um. Or, I'd like to, but it's non-obvious
how to reopen without also taking assignment. Going to try something here, sorry
about the spam...

Comment 6 Mike A. Harris 2003-04-22 01:35:57 UTC
Does this problem occur in Red Hat Linux 9?

Comment 7 Need Real Name 2003-04-22 19:15:20 UTC
Well, I don't really have Red Hat Linux 9 on this box, but I can fake it.  I
have a tarball I made of an install on another machine, and I can untar it into
a directory on this box, chroot into the directory, and try things from there.

So on something-akin-to-rhl9-except-for-the-kernel-and-some-daemons-etc, the X
server no longer hangs, but gnome-terminal is unresponsive.  There's a blinking
solid black cursor in the upper left, but I never get a shell prompt.  xterm
works fine.

I'm not doing any hardware acceleration, per redhat-config-xfree86, so the
rhl8.0 kernel shouldn't make a difference, I'm assuming...

Comment 8 Mike A. Harris 2004-09-24 21:39:52 UTC
Since this bugzilla report was filed, there have been several major
updates to the X Window System, which may resolve this issue.  We
encourage you to upgrade to the latest version of Fedora Core
(http://fedora.redhat.com).

If this issue turns out to still be reproduceable in the latest
version of Fedora Core, please file a bug report in the X.Org
bugzilla located at http://bugs.freedesktop.org in the "xorg"
component.

Once you've filed your bug report to X.Org, if you paste the new
bug URL here, Red Hat will continue to track the issue in the
centralized X.Org bug tracker, and will review any bug fixes
that become available for consideration in future updates.



Note You need to log in before you can comment on or make changes to this bug.